
module M 
   use IFWIN 
   implicit none 
   contains 
      function CreateSimpleFont(faceName, size, bold, italic) 
!!DEC$ ATTRIBUTES STDCALL, ALIAS: 'CreateSimpleFont' :: CreateSimpleFont 
         integer(HANDLE) CreateSimpleFont 
         character(*), intent(IN) :: faceName 
         integer, intent(IN) :: size 
         logical, intent(IN) :: bold 
         logical, intent(IN) :: italic 
         type(T_LOGFONT) logfont 
         logfont = T_LOGFONT( & 
            lfHeight = size, & 
            lfWidth = 0, & 
            lfEscapement = 0, & 
            lfOrientation = 0, & 
            lfWeight = merge(FW_BOLD,FW_NORMAL,bold), & 
            lfItalic = merge(TRUE,FALSE,italic), & 
            lfUnderline = FALSE, & 
            lfStrikeOut = FALSE, & 
            lfCharSet = ANSI_CHARSET, & 
!            lfOutPrecision = OUT_DEFAULT_PRECIS, & 
            lfOutPrecision = OUT_TT_ONLY_PRECIS, & 
            lfClipPrecision = CLIP_DEFAULT_PRECIS, & 
!            lfQuality = DEFAULT_QUALITY, & 
            lfQuality = CLEARTYPE_QUALITY, & 
            lfPitchAndFamily = IOR(FIXED_PITCH, FF_MODERN), & 
!            lfPitchAndFamily = IOR(DEFAULT_PITCH, FF_DONTCARE), & 
!            lfPitchAndFamily = IOR(VARIABLE_PITCH, FF_DECORATIVE), & 
            lfFaceName = transfer(faceName,logfont%lfFaceName)) 
write(*,*) logfont%lfFaceName(:index(logfont%lfFaceName,achar(0))-1) 
         CreateSimpleFont = CreateFontIndirect(logfont) 
      end function CreateSimpleFont 
end module M 
program P 
   use IFWIN 
   use M 
   implicit none 
   integer :: mas(5) = [12,16,20,24,36] 
   integer(HANDLE) hMyFont(size(mas)) 
   logical :: bold(5) = [.FALSE.,.FALSE.,.FALSE.,.TRUE.,.TRUE.] 
   integer i 
   do i = 1, size(mas) 
      write(*,*) i,mas(i) 
      hMyFont(i) = CreateSimpleFont("Courier New"//achar(0),mas(i),bold(i),.FALSE.) 
      BLOCK 
         type(T_LOGFONT) logfont 
         integer result4 
         integer(HANDLE) DC 
         integer(HANDLE) hGDIobj 
         character(32) TextFace 
         DC = GetDC(NULL) 
         hGDIobj = SelectObject(DC,hMyFont(i)) 
         result4 = GetTextFace(DC,len(TextFace),TextFace) 
 
         write(*,*) TextFace(:index(TextFace,achar(0))-1) 
      END BLOCK 
   end do 
end program P 

